curl --request GET \
--url https://{api}.subotiz.com/api/v1/disputes \
--header 'Authorization: Bearer <token>' \
--header 'Request-Id: <request-id>'const options = {
method: 'GET',
headers: {'Request-Id': '<request-id>', Authorization: 'Bearer <token>'}
};
fetch('https://{api}.subotiz.com/api/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{api}.subotiz.com/api/v1/disputes"
headers = {
"Request-Id": "<request-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
{
"code": "<string>",
"message": "<string>",
"data": {
"has_more": true,
"list": [
{
"id": "<string>",
"channel_dispute_id": "<string>",
"merchant_id": "<string>",
"order_id": "<string>",
"payment_channel": "<string>",
"payment_method": "<string>",
"dispute_status": "<string>",
"dispute_reason": "<string>",
"order_amount": "<string>",
"order_currency": "<string>",
"dispute_amount": "<string>",
"dispute_currency": "<string>",
"dispute_create_time": "<string>",
"dispute_update_time": "<string>",
"dispute_due_time": "<string>"
}
]
}
}{
"code": "InvalidParameter",
"message": "merchant_id is required."
}List disputes
List disputes with filtering and pagination
Authorizations
Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}
Headers
The unique identifier of the request
Query Parameters
Filter by Subotiz dispute IDs
Filter by channel dispute IDs
Filter by order IDs
Dispute status filter, comma separated values, e.g. needs_response,under_review
Payment channel filter, comma separated values
Dispute reason filter, comma separated values
Cursor for pagination: starting_after
Cursor for pagination: ending_before
Page size, default 10, range [1,100]
Merchant ID
Minimum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Minimum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Maximum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Maximum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Minimum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Minimum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Maximum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Maximum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Was this page helpful?